Bug 1056723 - pulls perl-ExtUtils-MakeMaker perl-devel glibc-devel kernel-headers and others devel packages
pulls perl-ExtUtils-MakeMaker perl-devel glibc-devel kernel-headers and other...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-22 14:05 EST by Gabriel Ramirez
Modified: 2015-06-29 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:51:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Ramirez 2014-01-22 14:05:37 EST
Description of problem:
if one install amavisd-new in Fedora 20 x86_64 results in the following listing dependencies to install:

==========================================================================================
 Package                       Arch         Version                   Repository     Size
==========================================================================================
Installing:
 amavisd-new                   noarch       2.8.0-8.fc20              updates       771 k
Installing for dependencies:
 altermime                     x86_64       0.3.10-9.fc20             fedora         57 k
 freeze                        x86_64       2.5.0-16.fc20             fedora         31 k
 gdbm-devel                    x86_64       1.10-7.fc20               fedora         47 k
 glibc-devel                   x86_64       2.18-11.fc20              fedora        1.0 M
 glibc-headers                 x86_64       2.18-11.fc20              fedora        647 k
 kernel-headers                x86_64       3.12.8-300.fc20           updates       914 k
 libdb-devel                   x86_64       5.3.28-1.fc20             fedora         37 k
 lrzip                         x86_64       0.614-4.fc20              fedora        188 k
 nomarch                       x86_64       1.4-11.fc20               fedora         21 k
 perl-DB_File                  x86_64       1.831-1.fc20              updates        74 k
 perl-ExtUtils-Install         noarch       1.59-289.fc20             updates        74 k
 perl-ExtUtils-MakeMaker       noarch       6.72-2.fc20               fedora        277 k
 perl-ExtUtils-Manifest        noarch       1.63-1.fc20               fedora         31 k
 perl-ExtUtils-ParseXS         noarch       1:3.18-292.fc20           updates        77 k
 perl-devel                    x86_64       4:5.18.2-289.fc20         updates       473 k
 portreserve                   x86_64       0.0.5-9.fc20              updates        25 k
 procmail                      x86_64       3.22-33.fc20              fedora        174 k
 spamassassin                  x86_64       3.3.2-18.fc20             updates       1.1 M
 systemtap-sdt-devel           x86_64       2.4-1.fc20                fedora         57 k

Transaction Summary
==========================================================================================
Install  1 Package (+19 Dependent packages)

Version-Release number of selected component (if applicable):
spamassassin-3.3.2-19.fc20

How reproducible:
always

Steps to Reproduce:
1. yum install amavisd-new

Actual results:
install many devel packages from a non-devel rpm

Expected results:

==========================================================================================
 Package                       Arch         Version                   Repository     Size
==========================================================================================
Installing:
 amavisd-new                   noarch       2.8.0-8.fc20              updates       771 k
Installing for dependencies:
 altermime                     x86_64       0.3.10-9.fc20             fedora         57 k
 freeze                        x86_64       2.5.0-16.fc20             fedora         31 k
 lrzip                         x86_64       0.614-4.fc20              fedora        188 k
 nomarch                       x86_64       1.4-11.fc20               fedora         21 k
 perl-DB_File                  x86_64       1.831-1.fc20              updates        74 k
 portreserve                   x86_64       0.0.5-9.fc20              updates        25 k
 procmail                      x86_64       3.22-33.fc20              fedora        174 k
 spamassassin                  x86_64       3.3.2-18.fc20             updates       1.1 M


Transaction Summary
==========================================================================================
Install  1 Package (+8 Dependent packages)

Additional info:

the following patch seems to fix the bug removing the Requires:
perl(ExtUtils::MakeMaker)
from spamassasin rpm so the yum install only carries 9 packages instead of 20

--- SPECS/spamassassin.spec.orig        2014-01-05 09:08:30.000000000 -0600
+++ SPECS/spamassassin.spec     2014-01-22 13:00:00.713880585 -0600
@@ -156,6 +156,9 @@
 
 Obsoletes: perl-Mail-SpamAssassin
 
+%{?perl_default_filter}
+%global __requires_exclude %{?__requires_exclude}|perl\\(ExtUtils::MakeMaker\\)
+
 %description
 SpamAssassin provides you with a way to reduce if not completely eliminate
 Unsolicited Commercial Email (SPAM) from your incoming email.  It can
Comment 1 Kevin Fenzi 2014-01-22 19:19:43 EST
Please see: 

https://bugzilla.redhat.com/show_bug.cgi?id=432176

If we filter that out, several tools break.
Comment 2 Gabriel Ramirez 2014-01-23 00:26:22 EST
sorry I didn't look in old bugs until now, thanks
Fedora 19 has the following:

amavisd-new                     noarch      2.8.0-8.fc19              updates
altermime                       x86_64      0.3.10-8.fc19             fedora
freeze                          x86_64      2.5.0-15.fc19             fedora
lrzip                           x86_64      0.614-3.fc19              fedora
nomarch                         x86_64      1.4-10.fc19               fedora
perl-ExtUtils-Install           noarch      1.58-266.fc19             updates
perl-ExtUtils-MakeMaker         noarch      6.64-3.fc19               updates
perl-ExtUtils-Manifest          noarch      1.63-1.fc19               updates
perl-ExtUtils-ParseXS           noarch      1:3.16-266.fc19           updates
perl-devel                      x86_64      4:5.16.3-266.fc19         updates
portreserve                     x86_64      0.0.5-7.fc19              fedora
procmail                        x86_64      3.22-32.fc19              fedora       spamassassin                    x86_64      3.3.2-15.fc19             fedora       systemtap-sdt-devel             x86_64      2.4-1.fc19                updates

so I was happy having perl-ExtUtils-MakeMaker & related packages in F19

but in F20 because of https://bugzilla.redhat.com/show_bug.cgi?id=905482
I have glibc-devel, glibc-headers and the others rpms added

so I tried to not install the new dependencies introduced by the fix of https://bugzilla.redhat.com/show_bug.cgi?id=905482 because MY usecase (others hundreds or thousands of users have their own usecases) is a personal (email/file server|computer) without rpm devel packages

now reading https://bugzilla.redhat.com/show_bug.cgi?id=432176 I gather which sa-compile requires re2c, but that isn't installed running yum install amavisd-new and the manpage from sa-update mentions requiring too the C compiler used to build Perl XS modules so seems in MY usecase sa-compile was broken since the F19 or earlier or I hasn't used sa-compile.

also by https://bugzilla.redhat.com/show_bug.cgi?id=432176 I understand the reasons to not splitting or remove the dependency, thanks for telling me about it

IF in the future you the packagers review the decision of split spamassasin can consider also splitting only the libs used by amavisd-new in their own rpm package? no procmail, no daemons.

thanks
Comment 3 Kevin Fenzi 2014-01-23 18:25:54 EST
We could revisit the split, sure. 

I'd like to hear from my co-maintainers on the idea. 

I agree that many people just want to use spamassassin with their MUA, so they don't want a lot of deps pulled in. Not sure how feasable it is to split things however.
Comment 4 Fedora Admin XMLRPC Client 2014-08-08 03:43:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2014-08-08 03:45:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2015-05-29 06:37:28 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 20:51:58 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.